@echo off

echo ----------------------------
echo -- Compilation et linkage --
echo ----------------------------
sdcc -c -mz80 --peep-file peep-rules.txt source/main.c
sdcc -o sms.ihx -mz80 --no-std-crt0 --data-loc 0xC000 rel/crt0_sms.rel main.rel  SMSlib.lib

echo ------------------------------
echo -- Creation du fichier .sms --
echo ------------------------------
ihx2sms sms.ihx out/sms.sms

echo -------------------------------------------
echo -- Destruction des fichiers asm et autre --
echo -------------------------------------------
pause

del *.sym
del *.ihx
del *.lk
del *.noi
del *.rel
del *.lst
del *.asm
del *.map


echo ----------
echo -- Fin --
echo ---------
pause